Loading...
Searching...
No Matches
int_rat.h File Reference

Factory's internal rationals. More...

`#include <iostream>`
`#include "cf_assert.h"`
`#include "canonicalform.h"`
`#include "int_cf.h"`
`#include "imm.h"`
`#include <flint/fmpz.h>`
`#include <flint/fmpq.h>`

Go to the source code of this file.

## Data Structures

class | InternalRational
| factory's class for rationals More...

## Macros

#define | OSTREAM std::ostream

## Detailed Description

Factory's internal rationals.

Definition in file int_rat.h.

## Macro Definition Documentation

## OSTREAM

#define OSTREAM std::ostream

Definition at line 16 of file int_rat.h.